Retrieve a specific Model Deployment
Retrieves a specific Model Deployment entity by id.
curl --request GET \
--url https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/modelServing/v1/modelDeployments/{modelDeploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collaborators": [
{
"id": "66a84107c774610134ae3a28",
"role": "CONSUMER"
}
],
"configuration": {
"deploymentType": {
"modelConfigs": {},
"sharedConfig": {},
"type": "SYNC_ENDPOINT"
},
"modelConfigs": {},
"sharedConfig": {}
},
"creationTimestamp": "2023-07-15T14:35:47.89Z",
"creatorInfo": {
"id": "ABC-123",
"username": "Production"
},
"deploymentTargetInfo": {
"id": "ABC-123",
"name": "Production",
"typeName": "AWS SageMaker"
},
"description": "This endpoint is designed to provide businesses with insights into their customer retention patterns.",
"id": "614e40a7-0509-4cae-89af-55e2097b817d",
"isGloballyAccessible": true,
"models": [
{
"environmentId": "<string>",
"environmentName": "<string>",
"name": "XYZ Model",
"projectId": "<string>",
"source": {
"registeredModelName": "Growth Forecasting Model",
"registeredModelType": "MODELREGISTRY",
"registeredModelVersion": 3
}
}
],
"name": "Income Classifier Deployment",
"resourceConfigurationInfo": {
"configuration": {
"instance_type": "m5.large"
},
"id": "ABC-123",
"name": "Large"
},
"version": 23,
"remoteUpdateTimestamp": "2023-07-16T19:20:30.45Z",
"status": {
"state": "STARTING",
"message": "<string>",
"modelOperations": {},
"modelStates": {},
"sharedOperations": [
{
"fields": {},
"metadata": {
"operations": [
"<string>"
],
"type": "<string>",
"service": "<string>"
},
"type": "<string>",
"credentials": {
"expirationTime": "2023-11-07T05:31:56Z",
"keys": [
"<string>"
],
"type": "AWS"
},
"examplePayload": "<string>",
"examples": [
{
"code": "<string>",
"format": "<string>",
"language": "<string>",
"request": "<string>"
}
]
}
],
"sharedState": {}
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
The id of the Model Deployment to retrieve
Response
Model Deployment with the requested id.
Model Deployment
List of collaborators, if any
Show child attributes
Show child attributes
The Model Deployment configuration
Show child attributes
Show child attributes
"2023-07-15T14:35:47.89Z"
Information about the creator of a Model Deployment
Show child attributes
Show child attributes
Information about a Deployment Target and its corresponding Deployment Target Type
Show child attributes
Show child attributes
"This endpoint is designed to provide businesses with insights into their customer retention patterns."
The id of the Model Deployment.
"614e40a7-0509-4cae-89af-55e2097b817d"
Whether the Model Deployment is viewable by Domino Users who are not collaborators
Models associated with this Model Deployment.
Show child attributes
Show child attributes
"Income Classifier Deployment"
Information about a Resource Configuration
Show child attributes
Show child attributes
23
"2023-07-16T19:20:30.45Z"
The Model Deployment status
Show child attributes
Show child attributes
Was this page helpful?
